DS_F_ARRAY_NAME(3)

FUNCTION
ds_f_array_name - Search a the top level of a data structure for a name.

SYNOPSIS
#include <karma_ds.h>

unsigned int ds_f_array_name

(CONST multi_array *multi_desc, CONST char *name, char **encls_desc, unsigned int *index)

DESCRIPTION
This routine will search a multi array general data structure header for an occurrence of an array name.

multi_desc
    The multi_array data structure.

name
    The array name.

encls_desc
    If the array name is found, the pointer to the multi array header will be written here. If this is NULL, nothing is written here.

index
    The index number of the general data structure with will be written here. If this is NULL, nothing is written here.

RETURN VALUE
A code based on the number of matches found. See <-ds_IDENT_TABLE-> for a list of possible values.

Multi-threading Level
Unsafe.

NOTE
The routine will not search the packet descriptors for name matches.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/